Package org.springframework.security.authentication.event

# Class AuthenticationFailureCredentialsExpiredEvent

java.lang.Object
java.util.EventObject
org.springframework.context.ApplicationEvent
org.springframework.security.authentication.event.AbstractAuthenticationEvent
org.springframework.security.authentication.event.AbstractAuthenticationFailureEvent
org.springframework.security.authentication.event.AuthenticationFailureCredentialsExpiredEvent

All Implemented Interfaces:
  `Serializable`

public class AuthenticationFailureCredentialsExpiredEvent extends AbstractAuthenticationFailureEvent
Application event which indicates authentication failure due to the user's credentials having expired.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`AuthenticationFailureCredentialsExpiredEvent(Authentication authentication, AuthenticationException exception)`

## Method Summary

### Methods inherited from class org.springframework.security.authentication.event.AbstractAuthenticationFailureEvent

`getException`

### Methods inherited from class org.springframework.security.authentication.event.AbstractAuthenticationEvent

`getAuthentication`

### Methods inherited from class org.springframework.context.ApplicationEvent

`getTimestamp`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AuthenticationFailureCredentialsExpiredEvent

public AuthenticationFailureCredentialsExpiredEvent(Authentication authentication, AuthenticationException exception)